/* _/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
|
|   avbbs.h
|
+ -------------------------------------------------------------------------------------------------
|
|	全管理クラス
|
+ _/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/ */

#pragma once

class GameManager;
class SystemManager;
class WindowManager;

// avbbs
class avbbsClass
{
	private:
		GameManager*	m_pGameMan;		// ゲーム管理
		SystemManager*	m_pSystemMan;	// システム管理
		WindowManager*	m_pWindowMan;	// ウィンドウ管理

	public:

	public:
		avbbsClass();
		~avbbsClass();

		void	init(HINSTANCE hInst, char* cmdLine, int cmdShow);	// 初期化
		void	run(void);			// 実行

	private:
		void	release(void);		// 解放

	public:
		static avbbsClass*	getInstance(void);
		GameManager*	getGameMan(void){ return(m_pGameMan); }
		SystemManager*	getSysMan(void){ return(m_pSystemMan); }
		WindowManager*	getWinMan(void){ return(m_pWindowMan); }
};





